# $Revision: 1.37 $, $Date: 2008/07/27 22:53:48 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	RTF
%define		pnam	Parser
Summary:	RTF::Parser - RTF Processor
Summary(pl.UTF-8):	RTF::Parser - procesor dokumentów w formacie RTF
Name:		perl-RTF-Parser
Version:	1.09
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	249eda70ecb9fe5e9231d31c53587b31
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-RTF-Tokenizer
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RTF::Parser - RTF Processor.

%description -l pl.UTF-8
RTF::Parser - procesor dokumentów w formacie RTF.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/rtf2html
%{perl_vendorlib}/RTF/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-RTF-Parser.spec,v $
Revision 1.37  2008/07/27 22:53:48  arekm
- release 2

Revision 1.36  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.34  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.33  2004/11/03 22:30:41  paladine
- formatting

Revision 1.32  2004/05/06 18:20:58  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/27 21:43:22  ankry
- informative description, tests, license fix

Revision 1.30  2004/04/04 19:39:48  adamg
- updated to 1.09
- added man pages

Revision 1.29  2004/02/18 15:51:30  qboosh
- s/no/nb/ in Summary langs

Revision 1.28  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:41:46  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:37:54  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/07/19 00:06:40  ankry
- translations, cleaning
- new %%doc
- moved examples to %%{_examplesdir}
- release 7

Revision 1.19  2002/07/10 08:48:35  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:34:05  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:19:53  depesz
automatic: Source location unified, Relase Up

Revision 1.14  2002/02/10 15:33:54  depesz
adapterized

Revision 1.13  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:22  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:14:53  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/23 15:41:51  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:35:17  pius
- updated to 1.07

Revision 1.2  1999/11/07 09:18:46  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
